## helma.main
Class JettyServer

    java.lang.Object
      helma.main.JettyServer

    public class JettyServer

extends java.lang.Object

Field Summary
`protected org.mortbay.http.ajp.AJP13Listener` `ajp13`
`protected org.mortbay.http.HttpServer` `http`

Method Summary
`org.mortbay.http.HttpContext` `addContext(java.lang.String contextPath)`
`void` `destroy()`
`org.mortbay.http.HttpContext` `getContext(java.lang.String contextPath)`
`org.mortbay.http.HttpServer` `getHttpServer()`
`static JettyServer` `init(Server server)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### http

    protected org.mortbay.http.HttpServer http

### ajp13

    protected org.mortbay.http.ajp.AJP13Listener ajp13

Method Detail

### init

    public static JettyServer init(Server server)
                            throws java.net.MalformedURLException,
                                   java.io.IOException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`

### getHttpServer

    public org.mortbay.http.HttpServer getHttpServer()

### getContext

    public org.mortbay.http.HttpContext getContext(java.lang.String contextPath)

### addContext

    public org.mortbay.http.HttpContext addContext(java.lang.String contextPath)

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### destroy

    public void destroy()

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.